---
updatedAt: 2026-04-22T12:30:13.000Z
agentTools:
  projectIndex: https://developer.druva.com/llms.txt
---

# List all backup jobs

Returns all backup jobs for VMware

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "version": "3.0",
    "title": "Enterprise Workloads"
  },
  "x-explorer-enabled": true,
  "paths": {
    "/vmware/v1/orgs/{OrgID}/reports/jobs/backups": {
      "get": {
        "description": "Returns all backup jobs for VMware",
        "tags": [
          "VMware"
        ],
        "security": [
          {
            "Bearer": []
          }
        ],
        "summary": "List all backup jobs",
        "operationId": "VMwareGetAllBackupJobsInfoRequest",
        "parameters": [
          {
            "x-go-name": "Status",
            "description": "Specify the status of the job. This parameter can be set to one or more of the following values: Queued, Running, Successful, Successful with errors and Failed. Specify multiple status values by separating them with commas.",
            "name": "status",
            "in": "query",
            "schema": {
              "type": "string"
            }
          },
          {
            "x-go-name": "VMNameList",
            "description": "Specify the name of the virtual machine (VM). Specify multiple VM names by separating them with commas.",
            "name": "vmName",
            "in": "query",
            "schema": {
              "type": "string"
            }
          },
          {
            "x-go-name": "PageToken",
            "description": "Specify the token to access the next page of results. Keep this field blank in the first request. Use the token value received in the previous response's parameter 'nextPageToken'.",
            "name": "pageToken",
            "in": "query",
            "schema": {
              "type": "string"
            }
          },
          {
            "description": "Specify the organization ID of your organization. Set it to \"0\" to select all organizations. Get the ID of an organization using the 'List all organizations' API.",
            "name": "OrgID",
            "in": "path",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          },
          {
            "x-go-name": "StartTime",
            "description": "Specify the date and time to filter jobs that were run during the specified timestamp. Specify the date and time in UTC format (YYYY-MM-DDTHH:MM:SSZ). The timestamp must be within six months from the current date. For example, if the current date is 2020-10-02, you can specify any date between 2020-04-03 to 2020-10-02.",
            "name": "fromTime",
            "in": "query",
            "schema": {
              "type": "string",
              "format": "date-time"
            }
          },
          {
            "x-go-name": "EndTime",
            "description": "Specify the date and time to filter jobs that were run until the specified timestamp. Specify the date and time in UTC format. The format is YYYY-MM-DDTHH:MM:SSZ.",
            "name": "toTime",
            "in": "query",
            "schema": {
              "type": "string",
              "format": "date-time"
            }
          },
          {
            "x-go-name": "SortOrder",
            "description": "Sort the API results by the scheduled time of the job, either in ascending or descending order. Set the sortOrder value to ASC or DESC. The default value is ASC.",
            "name": "sortOrder",
            "in": "query",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/VMwareGetAllBackupJobsInfoResponse"
                }
              }
            }
          },
          "400": {
            "description": "Bad Request"
          },
          "401": {
            "description": "The request did not include an authentication token or the authentication token was expired."
          },
          "403": {
            "description": "Forbidden"
          },
          "404": {
            "description": "The requested resource was not found."
          },
          "500": {
            "description": "The request was not processed due to an internal error in Cloud.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ServiceError"
                }
              }
            }
          }
        }
      }
    }
  },
  "servers": [
    {
      "url": "//apis.druva.com/phoenix"
    }
  ],
  "components": {
    "securitySchemes": {
      "Bearer": {
        "type": "apiKey",
        "name": "Authorization",
        "in": "header"
      }
    },
    "schemas": {
      "ServiceError": {
        "description": "Service Error",
        "type": "object",
        "title": "ServiceError represents an error with an associated error code.",
        "properties": {
          "code": {
            "type": "integer",
            "format": "int64",
            "x-go-name": "Code",
            "description": "Error Code"
          },
          "message": {
            "type": "string",
            "description": "Application specific error message"
          }
        },
        "x-go-package": "vendor/druva.com/godevkit/errortype"
      },
      "VMwareDataTransferStruct": {
        "description": "DataTransferStruct struct holds the response for GetBackupJobsReport api",
        "type": "object",
        "properties": {
          "backupDuration": {
            "description": "Specifies the total time taken to upload data to the Cloud and CloudCache. Backup duration excludes the estimation time, network retry time, and the waiting for retry time.",
            "type": "string",
            "x-go-name": "BackupDuration"
          },
          "backupDurationInSeconds": {
            "description": "Specifies the total time taken in seconds to upload data to the Cloud and CloudCache. Backup duration excludes the estimation time, network retry time, and the waiting for retry time.",
            "type": "integer",
            "format": "int64",
            "x-go-name": "BackupDurationInSeconds"
          },
          "backupSpeed": {
            "description": "Specifies the rate at which the source data is backed up to the Cloud.",
            "type": "string",
            "x-go-name": "BackupSpeed"
          },
          "backupSpeedInKBps": {
            "description": "Specifies the rate in Kilobytes per second at which the source data is backed up to the Cloud.",
            "type": "number",
            "format": "double",
            "x-go-name": "BackupSpeedInKBps"
          },
          "bandwidthConsumed": {
            "description": "Specifies the bit rate to transfer data from the Cloud and CloudCache.",
            "type": "string",
            "x-go-name": "BandwidthConsumed"
          },
          "bandwidthConsumedInKBps": {
            "description": "Specifies the bit rate in Kilobytes per second to transfer data from the Cloud and CloudCache.",
            "type": "number",
            "format": "double",
            "x-go-name": "BandwidthConsumedInKBps"
          },
          "dataTransferCache": {
            "description": "Specifies the incremental data that is uploaded to CloudCache after deduplication and compression.",
            "type": "string",
            "x-go-name": "DataTransferCache"
          },
          "dataTransferCacheInBytes": {
            "description": "Specifies the incremental data in bytes that is uploaded to CloudCache after deduplication and compression.",
            "type": "integer",
            "format": "uint64",
            "x-go-name": "DataTransferCacheInBytes"
          },
          "dataTransferCloud": {
            "description": "Specifies the incremental data that is uploaded to the Cloud after deduplication and compression.",
            "type": "string",
            "x-go-name": "DataTransferCloud"
          },
          "dataTransferCloudInBytes": {
            "description": "Specifies the incremental data in bytes that is uploaded to the Cloud after deduplication and compression.",
            "type": "integer",
            "format": "uint64",
            "x-go-name": "DataTransferCloudInBytes"
          }
        },
        "x-go-name": "DataTransferStruct",
        "x-go-package": "phoenix/vmware/cloud/report/spec/jobs"
      },
      "VMwareEnvironmentStruct": {
        "description": "EnvironmentStruct struct holds the response for GetBackupJobsReport api",
        "type": "object",
        "properties": {
          "diskReadRate": {
            "description": "Specifies the bit rate for reading I/O by the agent. The Disk Read Rate is an average of the total data read with respect to the total time taken to read data at various intervals for all drives where data is distributed.",
            "type": "string",
            "x-go-name": "DiskReadRate"
          },
          "diskReadRateInKBps": {
            "description": "Specifies the bit rate in Kilobytes per second for reading I/O by the agent. The Disk Read Rate is an average of the total data read with respect to the total time taken to read data at various intervals for all drives where data is distributed.",
            "type": "number",
            "format": "double",
            "x-go-name": "DiskReadRateInKBps"
          },
          "networkRetries": {
            "description": "Number of network retries during the job.",
            "type": "integer",
            "format": "int32",
            "x-go-name": "NetworkRetries"
          },
          "networkRetryDuration": {
            "description": "Specifies the total time spent in the network retries. It represents the cumulative of all network session duration.",
            "type": "string",
            "x-go-name": "NetworkRetryDuration"
          },
          "networkRetryDurationInSeconds": {
            "description": "Specifies the total time spent in seconds in the network retries. It represents the cumulative of all network session duration.",
            "type": "integer",
            "format": "int64",
            "x-go-name": "NetworkRetryDurationInSeconds"
          }
        },
        "x-go-name": "EnvironmentStruct",
        "x-go-package": "phoenix/vmware/cloud/report/spec/jobs"
      },
      "VMwareEstimationDetailsStruct": {
        "description": "EstimationDetailsStruct struct holds the response for GetBackupJobsReport api",
        "type": "object",
        "properties": {
          "dataScanned": {
            "description": "Data scanned during the job.",
            "type": "integer",
            "format": "int64",
            "x-go-name": "DataScanned"
          },
          "disksAdded": {
            "description": "Number of VM Disks added at source during the job.",
            "type": "integer",
            "format": "int64",
            "x-go-name": "DisksAdded"
          },
          "disksModified": {
            "description": "Number of VM Disks changed at source during the job.",
            "type": "integer",
            "format": "int64",
            "x-go-name": "DisksModified"
          },
          "disksRemoved": {
            "description": "Number of VM Disks removed at source during the job.",
            "type": "integer",
            "format": "int64",
            "x-go-name": "DisksRemoved"
          },
          "sourceDataScanned": {
            "description": "Specifies the data scanned in at the source in order to backup.",
            "type": "string",
            "x-go-name": "SourceDataScanned"
          },
          "sourceDataScannedInBytes": {
            "description": "Specifies the data scanned in bytes at the source in order to backup.",
            "type": "integer",
            "format": "uint64",
            "x-go-name": "SourceDataScannedInBytes"
          }
        },
        "x-go-name": "EstimationDetailsStruct",
        "x-go-package": "phoenix/vmware/cloud/report/spec/jobs"
      },
      "VMwareExecutionDetailsStruct": {
        "description": "ExecutionDetailsStruct struct holds the response for GetBackupJobsReport api",
        "type": "object",
        "properties": {
          "endTime": {
            "description": "The time when the job operation ends.",
            "type": "string",
            "x-go-name": "EndTime"
          },
          "errorCode": {
            "description": "Specifies the error code for the failed jobs. The possible values are:\n \\\"0\\\": If the job is successful\n<error_number>: If the job has failed",
            "type": "string",
            "x-go-name": "ErrorCode"
          },
          "errorMessage": {
            "description": "Specifies the error message for the failed jobs. This field is empty if the job is successful.",
            "type": "string",
            "x-go-name": "ErrorMsg"
          },
          "startTime": {
            "description": "The time when the job operation starts.",
            "type": "string",
            "x-go-name": "StartTime"
          },
          "status": {
            "description": "Status of the job.",
            "type": "string",
            "x-go-name": "Status"
          }
        },
        "x-go-name": "ExecutionDetailsStruct",
        "x-go-package": "phoenix/vmware/cloud/report/spec/jobs"
      },
      "VMwareGetAllBackupJobsInfoResponse": {
        "description": "GetAllBackupJobsInfoResponse is the response schema for GetAllBackupJobsInfo",
        "type": "object",
        "properties": {
          "jobs": {
            "description": "List of all backup jobs for VMware.",
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/VMwareGetBackupJobsReport"
            },
            "x-go-name": "Jobs"
          },
          "nextPageToken": {
            "description": "The token to access the next page of results. This parameter will be empty for the last page of results.",
            "type": "string",
            "x-go-name": "OutToken"
          }
        },
        "x-go-name": "GetAllBackupJobsInfoResponse",
        "x-go-package": "phoenix/vmware/cloud/report/spec/jobs"
      },
      "VMwareGetBackupJobsReport": {
        "description": "GetBackupJobsReport struct holds the response for GetBackupJobsReport api",
        "type": "object",
        "properties": {
          "backupPolicyID": {
            "description": "The ID of your backup policy.",
            "format": "int32",
            "type": "integer",
            "x-go-name": "BackupPolicyID"
          },
          "backupPolicyName": {
            "description": "The name of the backup policy",
            "type": "string",
            "x-go-name": "BackupPolicyName"
          },
          "backupProxyName": {
            "description": "The name of Backup Proxy.",
            "type": "string",
            "x-go-name": "BackupProxyName"
          },
          "backupsetID": {
            "description": "The ID of your backup set.",
            "format": "int32",
            "type": "integer",
            "x-go-name": "BackupsetID"
          },
          "cbtStatus": {
            "description": "Status of VMware CBT",
            "type": "string",
            "x-go-name": "CBTStatus"
          },
          "dataTransfer": {
            "$ref": "#/components/schemas/VMwareDataTransferStruct"
          },
          "environmentDetails": {
            "$ref": "#/components/schemas/VMwareEnvironmentStruct"
          },
          "estimationDetails": {
            "$ref": "#/components/schemas/VMwareEstimationDetailsStruct"
          },
          "executionDetails": {
            "$ref": "#/components/schemas/VMwareExecutionDetailsStruct"
          },
          "jobID": {
            "description": "A unique identification number associated with the job.",
            "type": "integer",
            "format": "int32",
            "x-go-name": "JobID"
          },
          "jobType": {
            "description": "The type of job.",
            "type": "string",
            "x-go-name": "JobType"
          },
          "msSqlBackupDetails": {
            "$ref": "#/components/schemas/VMwareMSSqlBackupDetails"
          },
          "organizationID": {
            "description": "The ID of your organization.",
            "format": "int32",
            "type": "integer",
            "x-go-name": "OrgID"
          },
          "organizationName": {
            "description": "The name of the organization.",
            "type": "string",
            "x-go-name": "OrgName"
          },
          "vmName": {
            "description": "The name of VM.",
            "type": "string",
            "x-go-name": "VMName"
          }
        },
        "x-go-name": "GetBackupJobsReport",
        "x-go-package": "phoenix/vmware/cloud/report/spec/jobs"
      },
      "VMwareMSSqlBackupDetails": {
        "description": "MSSqlBackupDetails struct holds the response for GetBackupJobsReport api",
        "type": "object",
        "properties": {
          "appAwareBackupType": {
            "description": "Specifies the type of the SQL backup. The possible values are Full Backup and Transaction Log Backup.",
            "type": "string",
            "x-go-name": "AppAwareBackupType"
          },
          "dbInstanceNames": {
            "description": "Specifies the names of the SQL instances, which are present in the virtual machine and backed up during the full backup.",
            "type": "array",
            "items": {
              "type": "string"
            },
            "x-go-name": "DbInstanceNames"
          }
        },
        "x-go-name": "MSSqlBackupDetails",
        "x-go-package": "phoenix/vmware/cloud/report/spec/jobs"
      }
    }
  }
}
```